//https://www.youtube.com/BitaBit

//https://www.bitabittecnologia.com.br

//Exemplo exibindo valores no display usando potenciômetro.
//O potenciômetro pode ser substituído por um sensor, por exemplo.

#include <LiquidCrystal.h>

int rs = 12; //Pino Register select
int e = 11;  //Pino Enable
int d4 = 5;  //Pino de dados d4
int d5 = 4;  //Pino de dados d5
int d6 = 3;  //Pino de dados d6 
int d7 = 2;  //Pino de dados d7

int pot = 0;

LiquidCrystal lcd(rs, e, d4, d5, d6, d7);

void setup() 
{
  lcd.begin(16, 2); //LCD de 16 colunas e 2 linhas.

  Serial.begin(9600); //Usa a serial, para comparar o valor com o que está exibindo no display.
}

void loop() 
{
  int valor_pot;
  valor_pot = analogRead(pot);

  lcd.setCursor(0, 0); 
  lcd.print("Valor: ");

  lcd.setCursor(7, 0);
  lcd.print(String(valor_pot)); //Exibe o valor do potenciômetro no display.
 
  Serial.println(valor_pot); //Exibe o valor do potenciômetro no monitor serial.

  delay(100);

  lcd.clear();
}
